Neutron ML2 plugin package is missing

Bug #1243147 reported by Darragh O'Reilly on 2013-10-22
44
This bug affects 9 people
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Medium
Unassigned
neutron (Ubuntu)
Medium
James Page

Bug Description

is there a Ubuntu package for the Neutron ML2 plugin? I can't find it in the Havana cloud-archive on Precise.

vagrant@precise64:/$ cat /etc/apt/sources.list.d/cloudarchive-havana.list
deb http://ubuntu-cloud.archive.canonical.com/ubuntu precise-updates/havana main
deb-src http://ubuntu-cloud.archive.canonical.com/ubuntu precise-updates/havana main

vagrant@precise64:/$ apt-cache search neutron | grep -i ml2
vagrant@precise64:/$

vagrant@precise64:/$ apt-cache search neutron-plugin
neutron-plugin-bigswitch - Neutron is a virtual network service for Openstack - BigSwitch plugin
neutron-plugin-brocade - Neutron is a virtual network service for Openstack - Brocade plugin
neutron-plugin-cisco - Neutron is a virtual network service for Openstack - Cisco plugin
neutron-plugin-hyperv - Neutron is a virtual network service for Openstack - Hyper-V plugin
neutron-plugin-linuxbridge - Neutron is a virtual network service for Openstack - linuxbridge plugin
neutron-plugin-linuxbridge-agent - Neutron is a virtual network service for Openstack - linuxbridge plugin agent
neutron-plugin-metaplugin - Neutron is a virtual network service for Openstack - Metaplugin plugin
neutron-plugin-metering-agent - Neutron is a virtual network service for Openstack - metering plugin
neutron-plugin-midonet - Neutron is a virtual network service for Openstack - Midonet plugin
neutron-plugin-mlnx-agent - Neutron is a virtual network service for Openstack - mlnx plugin agent
neutron-plugin-nec - Neutron is a virtual network service for Openstack - NEC plugin
neutron-plugin-nec-agent - Neutron is a virtual network service for Openstack - NEC plugin agent
neutron-plugin-nicira - Neutron is a virtual network service for Openstack - Nicira plugin
neutron-plugin-openvswitch - Neutron is a virtual network service for Openstack - Open vSwitch plugin
neutron-plugin-openvswitch-agent - Neutron is a virtual network service for Openstack - Open vSwitch plugin agent
neutron-plugin-plumgrid - Neutron is a virtual network service for Openstack - PLUMgrid plugin
neutron-plugin-ryu - Neutron is a virtual network service for Openstack - RYU plugin
neutron-plugin-ryu-agent - Neutron is a virtual network service for Openstack - RYU plugin agent
neutron-plugin-vpn-agent - Neutron is a virtual network service for Openstack - vpn plugin

I installed neutron-server thinking that it should now default to ml2, but it configures ovs by default:

vagrant@precise64:/$ cat /etc/default/neutron-server
# defaults for neutron-server
# path to config file corresponding to the core_plugin specified in
# neutron.conf
NEUTRON_PLUGIN_CONFIG="/etc/neutron/plugins/openvswitch/ovs_neutron_plugin.ini"

Related branches

James Page (james-page) wrote :

This package was not included in the Havana release of the packages; the code is all in python-neutron so its possible to use the plugin by creating the relevant configuration files and updating agent configs.

This will be included as the default for the icehouse release of the packages.

Changed in neutron (Ubuntu):
status: New → Triaged
importance: Undecided → High
assignee: nobody → James Page (james-page)
Changed in cloud-archive:
status: New → Triaged
importance: Undecided → Medium
Changed in neutron (Ubuntu):
importance: High → Medium
Matt Kassawara (ionosphere80) wrote :

Will the Neutron package include a sample configuration file for ML2 under /etc/neutron/plugins/ml2 or similar location?

James Page (james-page) wrote :

yes

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2014.1~b2-0ubuntu2

---------------
neutron (1:2014.1~b2-0ubuntu2) trusty; urgency=medium

  * debian/patches/skip-lb-test.patch: Skipped lb configuration
    test.
 -- Chuck Short <email address hidden> Mon, 27 Jan 2014 12:01:50 -0500

Changed in neutron (Ubuntu):
status: Triaged → Fix Released
James Page (james-page) on 2014-03-14
Changed in cloud-archive:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers